{* $Id: UpgradePackage.tpl 12256 2007-11-19 17:42:33Z kbailey $
 * --------------------------------------------------------------
 * This template displays a form to edit a Package.
 *
 * Smarty Variables:
 *	n/a
 *
 *}



{php}$GLOBALS['__pagePath'] = array('TRANS_MANAGE_PACKAGES', 'TRANS_UPGRADE_DOWNGRADE_PACKAGES', 'TRANS_PACKAGE_UPGRADE');{/php}

{include file="$tplDirectory/widgets/context/package.tpl" showActions=1 package=$packageInfo}

{assign var="currencyID" value=$packageInfo.currencyID}
{include file="$tplDirectory/widgets/list-box-header.tpl" title="TRANS_UPGRADE_PACKAGE"}
<div class="form-row">
    <div class="single-row list">
        {if $cango}
            <table width="100%" cellspacing="0">
                <thead>
                    <tr>
                        <th>&nbsp;</th>
                        <th>{"TRANS_PACKAGE"|lmsg}</th>
                        <th>{"TRANS_PRICE"|lmsg}</th>
                        <th>{"TRANS_UPGRADE_FEE"|lmsg}</th>
                        <th>{"TRANS_COUPON_PRICE"|lmsg}</th>
                        <th colspan="2">{"TRANS_COUPON_CYCLES"|lmsg}</th>
                    </tr>
                </thead>
                <tbody>
                    {foreach key="id" item="product" from=$upgradeProducts}
                        <form method="post" action="{getFormAction controller="packages"}">
                            <input type="hidden" name="token" value="{$token}">
                            <input type="hidden" name="act" value="{getActionID action="UpgradePackageResponse"}">
                            <input type="hidden" name="packageID" value="{$packageInfo.packageID}">
                            <input type="hidden" name="productID" value="{$product.productID}">
                            <input type="hidden" name="productVariantID" value="{$product.productVariantID}">
                            {if !($resellerProductType==$packageInfo.packageType && $product.productID==$packageInfo.productID)}
                                <tr class="odd">
                                    <td><span class="btn action"><button id="billing-id-configure-{$product.productID}" name="configure" value="{"TRANS_CONFIGURE"|lmsg}" type="button" onclick="XKtoggle('configureRow{$product.productID}');">{"TRANS_CONFIGURE"|lmsg}</button></span></td>
                                    <td>{$product.productName|safetyhtml}{if $product.productVariantName}<br>{$product.productVariantName|safetyhtml}{/if}</td>
                                    {if $product.productID==$packageInfo.productID}
                                        <td colspan="4"><em>{"TRANS_ADJUST_ADDONS_ONLY"|lmsg}</em></td>
                                        <td align="right"><span class="btn action"><button id="billing-id-adjust-{$product.productID}" name="adjust" value="{"TRANS_ADJUST_ADDONS"|lmsg}" type="submit">{"TRANS_ADJUST_ADDONS"|lmsg}</button></span></td>
                                    {else}
                                        <td><input type="hidden" name="packagePrices[original]" value="{$product.prices.0.productVariantPriceAmount|getAmount:" "}"><input type="text" size="10" name="packagePrices[general]" value="{$product.prices.0.productVariantPriceAmount|getAmount:$currencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$currencyID:true:true};{1000|getAmount:$currencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');"></td>
                                        <td><input type="text" size="7" name="packagePrices[fee]" value="{$product.prices[$feePriceType].productVariantPriceAmount|getAmount:$currencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$currencyID:true:true};{1000|getAmount:$currencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');"></td>
                                        <td><input type="text" size="10" name="packagePrices[coupon]" value="{0|getAmount:$currencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$currencyID:true:true};{1000|getAmount:$currencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');"></td>
                                        <td><input type="text" size="3" name="packagePrices[couponcycles]" value="0" onchange="this.value=this.value*1;"></td>
                                        <td align="right"><span class="btn action"><button id="billing-id-process-upgrade-{$product.productID}" name="process-upgrade" value="{"TRANS_PERFORM_UPGRADE"|lmsg}" type="submit">{"TRANS_PERFORM_UPGRADE"|lmsg}</button></span></td>
                                    {/if}
                                </tr>
                                <tr class="even {if $product.productID!=$packageInfo.productID}hidden{/if}"  id="configureRow{$product.productID}">
                                    <td>&nbsp;</td>
                                    <td colspan="6">
                                        {include file="$tplDirectory/widgets/form-box-header.tpl"}
                                        <div class="form-row">
                                            <div class="field-name">{"TRANS_PACKAGE_UPGRADE_TIME"|lmsg}</div>
                                            <div class="field-value">
                                                <select name="packageUpgradeDowngradeType">
                                                    <option value="0">{"TRANS_UPGRADE_NOW_WITH_PRORATION_CREDITS"|lmsg}</option>
                                                    <option value="1">{"TRANS_UPGRADE_NOW_WITHOUT_PRORATION_CREDITS"|lmsg}</option>
                                                    <option value="2">{"TRANS_UPGRADE_AT_END_OF_CYCLE"|lmsg}</option>
                                                </select>
                                            </div>
                                        </div>
                                        <div class="form-row">
                                            <div class="single-row">
                                                <label for="billing-id-packageProvision"><input id="billing-id-packageProvision" type="checkbox" name="packageProvision" checked="checked" value="1"> {"TRANS_PROVISION_THE_CHANGES"|lmsg}</label>
                                            </div>
                                        </div>
                                        <div class="form-row">
                                            <div class="single-row">
                                                <label for="billing-id-generateInvoice"><input id="billing-id-generateInvoice" type="checkbox" name="generateInvoice" checked="checked" value="1"> {"TRANS_GENERATE_INVOICE_IF_APPROPRIATE"|lmsg}</label>
                                            </div>
                                        </div>
                                        <div class="form-row">
                                            <div class="field-name">{"TRANS_COMMENTS"|lmsg}</div>
                                            <div class="field-value">
                                                <textarea name="packageComments" rows="3" cols="35">{$product.productComments}</textarea>
                                            </div>
                                        </div>
                                        <div class="list">
                                            <table width="100%" cellspacing="0">
                                                {assign var="firsttime" value="1"}
                                                {foreach key="id" item="addons" from=$product.addons}
                                                    <thead>
                                                        <tr>
                                                            <th colspan="2">{assign var="group" value=$product.addonGroups.$id}{$group.productAddonGroupName}</th>
                                                        </tr>
                                                    </thead>
                                                    {assign var="firsttime" value=0}
                                                    <tbody>
                                                    {if $group.productAddonGroupInputType=="" || $group.productAddonGroupInputType=="r" || $group.productAddonGroupInputType=="s"}
                                                        {assign var="haveSelectedAddon" value=0}
                                                        {section name="i" loop=$addons}
                                                            {assign var="pid" value=$addons[i].productID}

                                                            {assign var="selectedAddon" value=$selectedAddons.$pid}

                                                            {if $pid==$selectedAddon.packageAddonProductID} {* && $product.productID==$packageInfo.productID *}
                                                                {assign var="taprice" value=$selectedAddon.packageAddonPrice}
                                                                {assign var="tafeeprice" value=0}
                                                                {assign var="tacouponprice" value=$selectedAddon.couponPrice}
                                                                {assign var="tacouponcycles" value=$selectedAddon.couponNumCycles}
                                                                {assign var="addonSelected" value="1"}
                                                                {assign var="haveSelectedAddon" value=1}
                                                            {else}
                                                                {assign var="taprice" value=$addons[i].prices.0.productVariantPriceAmount}
                                                                {assign var="tafeeprice" value=$addons[i].prices[$feePriceType].productVariantPriceAmount}
                                                                {assign var="tacouponprice" value=$addons[i].prices.0.productVariantPriceAmount}
                                                                {assign var="tacouponcycles" value="0"}
                                                                {assign var="addonSelected" value="0"}
                                                            {/if}

                                                            {if $product.productID!=$packageInfo.productID && $group.defaultSelectedProductID==$pid}
                                                                {assign var="haveSelectedAddon" value=1}
                                                                {assign var="addonSelected" value="1"}
                                                            {/if}
                                                            <tr class="odd">
                                                                <td><label for="addonSelector{$product.productID}_{$pid}"><input type="radio" name="addons[{$id}][]" id="addonSelector{$product.productID}_{$pid}" value="{$pid}" {if $addonSelected==1}checked="checked"{/if}>&nbsp; - {$addons[i].productName|constant|safetyhtml} {if !$addons[i].productActive}({"TRANS_INACTIVE"|lmsg|lower}){/if}</label></td>
                                                                <td>
                                                                    <table>
                                                                        <tr>
                                                                            <td>{"TRANS_PRICE"|lmsg} </td>
                                                                            <td><input type="text" name="prices[{$pid}][general]" value="{$taprice|getAmount:$currencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$currencyID:true:true};{1000|getAmount:$currencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');"></td>
                                                                            <td>{"TRANS_COUPON_PRICE"|lmsg} </td>
                                                                            <td><input type="text" name="prices[{$pid}][coupon]" value="{$tacouponprice|getAmount:$currencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$currencyID:true:true};{1000|getAmount:$currencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');"></td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td>{"TRANS_UPGRADE_FEE"|lmsg} </td>
                                                                            <td><input type="text" name="prices[{$pid}][fee]" value="{$tafeeprice|getAmount:$currencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$currencyID:true:true};{1000|getAmount:$currencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');"></td>
                                                                            <td>{"TRANS_COUPON_NUM_CYCLES"|lmsg} </td>
                                                                            <td><input type="text" name="prices[{$pid}][couponcycles]" value="{$tacouponcycles}"></td>
                                                                        </tr>
                                                                    </table>
                                                                </td>
                                                            </tr>
                                                        {/section}
                                                        <tr class="odd">
                                                            <td colspan="2"><input type="radio" name="addons[{$id}][]" value="0" {if $haveSelectedAddon==0}checked="checked"{/if}>&nbsp; - {"TRANS_NONE"|lmsg}</td>
                                                        </tr>
                                                    {elseif $group.productAddonGroupInputType=="c"}
                                                        {section name="i" loop=$addons}
                                                            {assign var="pid" value=$addons[i].productID}

                                                            {assign var="selectedAddon" value=$selectedAddons.$pid}

                                                            {if $pid==$selectedAddon.packageAddonProductID} {* && $product.productID==$packageInfo.productID *}
                                                                {assign var="taprice" value=$selectedAddon.packageAddonPrice}
                                                                {assign var="tafeeprice" value=0}
                                                                {assign var="tacouponprice" value=$selectedAddon.couponPrice}
                                                                {assign var="tacouponcycles" value=$selectedAddon.couponNumCycles}
                                                                {assign var="addonSelected" value="1"}
                                                            {else}
                                                                {assign var="taprice" value=$addons[i].prices.0.productVariantPriceAmount}
                                                                {assign var="tafeeprice" value=$addons[i].prices[$feePriceType].productVariantPriceAmount}
                                                                {assign var="tacouponprice" value=$addons[i].prices.0.productVariantPriceAmount}
                                                                {assign var="tacouponcycles" value="0"}
                                                                {assign var="addonSelected" value="0"}
                                                            {/if}

                                                            {if $product.productID!=$packageInfo.productID && $group.defaultSelectedProductID==$pid}
                                                                {assign var="addonSelected" value="1"}
                                                            {/if}
                                                            <tr class="odd">
                                                                <td><label for="addonSelector{$product.productID}_{$pid}"><input type="checkbox" id="addonSelector{$product.productID}_{$pid}" name="addons[{$id}][]" value="{$pid}" {if $addonSelected==1}checked="checked"{/if}>&nbsp; - {$addons[i].productName|constant|safetyhtml} {if !$addons[i].productActive}({"TRANS_INACTIVE"|lmsg|lower}){/if}</label></td>
                                                                <td>
                                                                    <table>
                                                                        <tr>
                                                                            <td>{"TRANS_PRICE"|lmsg} </td>
                                                                            <td><input type="text" name="prices[{$pid}][general]" value="{$taprice|getAmount:$currencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$currencyID:true:true};{1000|getAmount:$currencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');"></td>
                                                                            <td>{"TRANS_COUPON_PRICE"|lmsg} </td>
                                                                            <td><input type="text" name="prices[{$pid}][coupon]" value="{$tacouponprice|getAmount:$currencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$currencyID:true:true};{1000|getAmount:$currencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');"></td>
                                                                        </tr>
                                                                        <tr>
                                                                            <td>{"TRANS_UPGRADE_FEE"|lmsg} </td>
                                                                            <td><input type="text" name="prices[{$pid}][fee]" value="{$tafeeprice|getAmount:$currencyID}" onchange="this.value=XKformatNumber('{1000|getAmount:$currencyID:true:true};{1000|getAmount:$currencyID:true:true}', this.value, '{$localeData.locale_separator_decimal}', '{$localeData.locale_separator_grouping}');"></td>
                                                                            <td>{"TRANS_COUPON_NUM_CYCLES"|lmsg} </td>
                                                                            <td><input type="text" name="prices[{$pid}][couponcycles]" value="{$tacouponcycles}"></td>
                                                                        </tr>
                                                                    </table>
                                                                </td>
                                                            </tr>
                                                        {/section}
                                                    {/if}
                                                    </tbody>
                                                {foreachelse}
                                                    <tbody>
                                                        <tr>
                                                            <th colspan="2">{"TRANS_NO_ADDONS"|lmsg}</th>
                                                        </tr>
                                                    </tbody>
                                                {/foreach}
                                                {if 0 < count($packageInfo.addonsAbsentInPlan) && $packageInfo.productID == $product.productID}
                                                    <tr>
                                                        <th colspan="2">{"TRANS_ADDONS_ASSINGED_TO_SUBSCRIPTION_ABSENT_IN_PLAN_REMOVE"|lmsg}</th>
                                                    </tr>
                                                    {foreach key="id" item="addons" from=$packageInfo.addonsAbsentInPlan}
                                                        <tr  class="odd">
                                                            <td colspan="2">
                                                                <input type="hidden" name="prices[{$addons.packageAddonProductID}][general]" value="{$addons.packageAddonPrice|getAmount:$currencyID}"">
                                                                <input type="hidden" name="prices[{$addons.packageAddonProductID}][fee]" value="{$addons.packageAddonSetup|getAmount:$currencyID}"">
                                                                <input type="hidden" name="prices[{$addons.packageAddonProductID}][coupon]" value="{$addons.couponPrice|getAmount:$currencyID}"">
                                                                <input type="hidden" name="prices[{$addons.packageAddonProductID}][couponcycles]" value="{$addons.couponNumCycles}"">
                                                                <label for="assignedAddonSelector{$addons.packageAddonProductID}">
                                                                    <input type="checkbox" name="assignedAddons[]" id="assignedAddonSelector{$addons.packageAddonProductID}" value="{$addons.packageAddonProductID}">&nbsp; - {$addons.packageAddonDisplayName|constant|safetyhtml}</label></td>
                                                        </tr>
                                                    {/foreach}
                                                {/if}

                                                <tfoot>
                                                    <tr>
                                                        <td colspan="2">
                                                            <span class="btn action"><button id="billing-id-action" name="billing-id-action" value="{if $product.productID==$packageInfo.productID}{"TRANS_ADJUST_ADDONS"|lmsg}{else}{"TRANS_PERFORM_UPGRADE"|lmsg}{/if}" type="submit">{if $product.productID==$packageInfo.productID}{"TRANS_ADJUST_ADDONS"|lmsg}{else}{"TRANS_PERFORM_UPGRADE"|lmsg}{/if}</button></span>
                                                        </td>
                                                    </tr>
                                                </tfoot>
                                            </table>
                                        </div>
                                        {include file="$tplDirectory/widgets/form-box-footer.tpl"}
                                    </td>
                                </tr>
                            {/if}
                        </form>
                    {/foreach}
                </tbody>
            </table>
        {else}
            {"TRANS_CANNOT_PERFORM_UPGRADES_OR_DOWNGRADES_AT_THIS_TIME"|lmsg}
        {/if}
    </div>
</div>
{include file="$tplDirectory/widgets/list-box-footer.tpl"}