<div class="list">
    <table width="100%" cellspacing="0">
        <thead>
            <tr>
                <th colspan="13">
                {assign var="linkText" value="TRANS_INVOICE_NUMBER"|lmsg|cat:" "|cat:$invoiceInfo.invoiceNumber}
                {include
                    file="$tplDirectory/widgets/actionLink.tpl"
                    page="invoices.php"
                    actionName="ShowInvoiceDetails"
                    args="invoiceID=`$invoiceInfo.invoiceID`"
                    icoImage="view-invoice.png"
                    altText=$linkText
                    linkText=$linkText
                    suppressActionMenu=1}
                </th>
            </tr>
            <tr>
                <th>{"TRANS_PACKAGE_ID"|lmsg}</th>
                <th colspan="2">{"TRANS_DESCRIPTION"|lmsg}</th>
                <th>{"TRANS_BEGIN"|lmsg}</th>
                <th>{"TRANS_CURRENT"|lmsg}</th>
                <th>{"TRANS_NEXT_RENEWAL"|lmsg}</th>
                <th>{"TRANS_QUANTITY_ABBR"|lmsg}</th>
                <th class="text-right">{"TRANS_PRICE"|lmsg}</th>
                <th class="text-right">{"TRANS_DISCOUNT"|lmsg}</th>
                <th class="text-right">{"TRANS_SETUP"|lmsg}</th>
                <th class="text-right">{"TRANS_SUB_TOTAL"|lmsg}</th>
                <th class="text-right">{"TRANS_TAX"|lmsg}</th>
                <th class="text-right">{"TRANS_TOTALS"|lmsg}</th>
            </tr>
        </thead>
        <tbody>
            {assign var="inaddons" value="no"}
            {assign var="currencyID" value=$invoiceInfo.currencyID}
            {assign var="isOdd" value=true}
            {section name="j" loop=$lineItems}
                {assign var="tpid" value=$lineItems[j].packageID}
                {if $lineItems[j].packageAddonID>0}
                    {if $inaddons=="no"}
                        {assign var="inaddons" value="yes"}
                        <tr class="{if $isOdd}odd{else}even{/if}">
                            <td class="text-right">{"TRANS_ADDONS"|lmsg}</td>
                            <td colspan="5">{"TRANS_DESCRIPTION"|lmsg}</td>
                            <td>{"TRANS_QUANTITY_ABBR"|lmsg}</td>
                            <td class="text-right">{"TRANS_PRICE"|lmsg}</td>
                            <td class="text-right">{"TRANS_DISCOUNT"|lmsg}</td>
                            <td class="text-right">{"TRANS_SETUP"|lmsg}</td>
                            <td class="text-right">{"TRANS_SUB_TOTAL"|lmsg}</td>
                            <td class="text-right">{"TRANS_TAX"|lmsg}</td>
                            <td class="text-right">{"TRANS_TOTALS"|lmsg}</td>
                        </tr>
                        {assign var="isOdd" value=$isOdd-1|abs}
                    {/if}
                    <tr class="{if $isOdd}odd{else}even{/if}">
                        <td class="text-right">{$lineItems[j].packageAddonID}</td>
                        {assign var="addonID" value=$lineItems[j].packageAddonID}
                        <td colspan="5">{$lineItems[j].lineItemDescription|safetyhtml}
                        </td>
                        <td >{$lineItems[j].lineItemQuantity}</td>
                        <td class="text-right">{$lineItems[j].lineItemPriceAmount|getAmount:$currencyID}</td>
                        <td class="text-right">{$lineItems[j].lineItemDiscountAmount|getAmount:$currencyID}
                            {if $lineItems[j].lineItemDiscountAmount>0}
                            <br>
                            {"TRANS_BASIS"|lmsg} {$lineItems[j].lineItemPriceAmount|getAmount:$currencyID}@
                                {if $lineItems[j].lineItemDiscount>0 && $lineItems[j].prorationDiscount>0}
                                    {$lineItems[j].lineItemDiscount*100}% + {$lineItems[j].prorationDiscount*100}%
                                {elseif $lineItems[j].lineItemDiscount>0}
                                    {$lineItems[j].lineItemDiscount*100}%
                                {elseif $lineItems[j].prorationDiscount>0}
                                    {$lineItems[j].prorationDiscount*100}%
                                {/if}
                            {/if}
                        </td>
                        <td class="text-right">{$lineItems[j].lineItemSetupAmount|getAmount:$currencyID}</td>
                        <td class="text-right">{$lineItems[j].lineItemTotalAmount-$lineItems[j].lineItemTaxAmount|getAmount:$currencyID}</td>
                        <td class="text-right">{$lineItems[j].lineItemTaxAmount|getAmount:$currencyID}</td>
                        <td class="text-right">{$lineItems[j].lineItemTotalAmount|getAmount:$currencyID}</td>
                    </tr>
                    {assign var="isOdd" value=$isOdd-1|abs}
                {else}
                    {if $lastLineItemID>0 && $inaddons=="yes" && $addonTotals.total.$lastLineItemID}
                        <tr class="{if $isOdd}odd{else}even{/if}">
                            <td colspan="9" class="text-right">[{$lastLineItemID}: {$lastLineItemDescription|safetyhtml}] {"TRANS_PACKAGE_TOTALS"|lmsg} </td>
                            <td class="text-right">{$addonTotals.setup.$lastLineItemID|getAmount:$currencyID}</td>
                            <td class="text-right">{$addonTotals.total.$lastLineItemID-$addonTotals.tax.$lastLineItemID|getAmount:$currencyID}</td>
                            <td class="text-right">{$addonTotals.tax.$lastLineItemID|getAmount:$currencyID}</td>
                            <td class="text-right">{$addonTotals.total.$lastLineItemID|getAmount:$currencyID}</td>
                        </tr>
                        {assign var="isOdd" value=$isOdd-1|abs}
                    {/if}
                    {if $lineItems[j].packageComments!=""}
                        {assign var="rowspan" value="2"}
                    {else}
                        {assign var="rowspan" value="1"}
                    {/if}
                    {assign var="inaddons" value="no"}
                    <tr class="{if $isOdd}odd{else}even{/if}">
                        <td rowspan="{$rowspan}">
                            {* make the line item id hidden *}
                            <!--LineItemID:{$lineItems[j].lineItemID}-->
                            <strong>{$lineItems[j].packageID}</strong>
                        </td>
                        <td colspan="2">{$lineItems[j].lineItemDescription|safetyhtml}
                            {if $domains.$tpid}
                                <br>{"TRANS_DOMAIN"|lmsg} <strong>{$domains.$tpid.domainName}</strong>
                            {/if}
                        </td>
                        <td>{$lineItems[j].lineItemDateBeginRenewal|getDate:"short"}</td>
                        <td>{$lineItems[j].lineItemDateCurrentRenewal|getDate:"short"}</td>
                        <td>{$lineItems[j].lineItemDateNextRenewal|getDate:"short"}</td>
                        <td>{$lineItems[j].lineItemQuantity}</td>
                        <td class="text-right">{$lineItems[j].lineItemPriceAmount|getAmount:$currencyID}</td>
                        <td class="text-right">{$lineItems[j].lineItemDiscountAmount|getAmount:$currencyID}
                            {if $lineItems[j].lineItemDiscountAmount>0}
                            <br>
                            {"TRANS_BASIS"|lmsg} {$lineItems[j].lineItemPriceAmount|getAmount:$currencyID}@
                                {if $lineItems[j].lineItemDiscount>0 && $lineItems[j].prorationDiscount>0}
                                    {$lineItems[j].lineItemDiscount*100}% + {$lineItems[j].prorationDiscount*100}%
                                {elseif $lineItems[j].lineItemDiscount>0}
                                    {$lineItems[j].lineItemDiscount*100}%
                                {elseif $lineItems[j].prorationDiscount>0}
                                    {$lineItems[j].prorationDiscount*100}%
                                {/if}
                            {/if}
                        </td>
                        <td class="text-right">{$lineItems[j].lineItemSetupAmount|getAmount:$currencyID}</td>
                        <td class="text-right">{$lineItems[j].lineItemTotalAmount-$lineItems[j].lineItemTaxAmount|getAmount:$currencyID}</td>
                        <td class="text-right">{$lineItems[j].lineItemTaxAmount|getAmount:$currencyID}</td>
                        <td class="text-right">{$lineItems[j].lineItemTotalAmount|getAmount:$currencyID}</td>
                        {assign var="isOdd" value=$isOdd-1|abs}
                    </tr>
                    {if $lineItems[j].packageComments!=""}
                        <tr class="{if $isOdd}odd{else}even{/if}">
                            <td colspan="13">{$lineItems[j].packageComments}</td>
                            {assign var="isOdd" value=$isOdd-1|abs}
                        </tr>
                    {/if}
                    {assign var="lastLineItemID" value=$lineItems[j].lineItemID}
                    {assign var="lastLineItemDescription" value=$lineItems[j].lineItemDescription}
                {/if}
            {/section}
            {if $lastLineItemID>0 && $inaddons=="yes" && $addonTotals.total.$lastLineItemID}
                <tr class="{if $isOdd}odd{else}even{/if}">
                    <td colspan="9" class="text-right">[{$lastLineItemID}: {$lastLineItemDescription|safetyhtml}]  {"TRANS_PACKAGE_TOTALS"|lmsg} </td>
                    <td class="text-right">{$addonTotals.setup.$lastLineItemID|getAmount:$currencyID}</td>
                    <td class="text-right">{$addonTotals.total.$lastLineItemID-$addonTotals.tax.$lastLineItemID|getAmount:$currencyID}</td>
                    <td class="text-right">{$addonTotals.tax.$lastLineItemID|getAmount:$currencyID}</td>
                    <td class="text-right">{$addonTotals.total.$lastLineItemID|getAmount:$currencyID}</td>
                </tr>
                {assign var="isOdd" value=$isOdd-1|abs}
            {/if}
        </tbody>
    </table>
</div>